<!--
/*
 * elRepo.io decentralized culture repository
 *
 * Copyright (C) 2019-2021  Asociación Civil Altermundi <info@altermundi.net>
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>
 *
 * SPDX-FileCopyrightText:  2019-2021 Asociación Civil Altermundi <info@altermundi.net>
 * SPDX-License-Identifier: AGPL-3.0-only
 */
-->

<div class="w3-row">
    <div class="w3-modal-content w3-card-4">
        <header class="w3-container  w3-green">
            <h2><i class="fas {{ iconType }} w3-jumbo" ></i> {{ title }}</h2>
        </header>
        <div class="w3-row">
            <div class="w3-threequarter w3-container w3-padding" style="text-align: left;">
                {{{ text }}}
                <hr>
            </div>
            <div class=" w3-quarter w3-center ">
                {{# payloadLinks }}
                <p><i class="fas {{ iconType }}" style="color: #9c27b0;" ></i> {{ filename }}</p>
                <a href="/rsfiles/{{ hash }}/{{ filename }}" class="w3-button w3-padding-large w3-purple">
                    <i class="fas fa-download w3-xlarge" ></i>
                </a>
                {{/ payloadLinks }}
                {{^ payloadLinks }}
                <div>No files detected.</div>
                {{/ payloadLinks  }}
                <hr>
                {{# parsedTags }}
                <button
                        class="w3-button w3-padding-small w3-round-xxlarge"
                        style="
                            margin-bottom: 5px;
                            background-color: {{ hexColor }};
                            ">{{ name }}</button>
                {{/ parsedTags }}
            </div>
        </div>

        <div class="w3-container w3-leftbar" style="margin-left: 16px;margin-bottom: 16px;">
            {{# comments }}
            <div class="w3-card-1 comment-card">
                {{#avatar}}
                <img style="width: 60px;" src="data:image/png;base64,{{data}}">
                {{/avatar}}
                {{^avatar}}
                    <i class="w3-left fas fa-user-astronaut w3-xxlarge" style="color: Gray;"></i>
                {{/avatar}}
                <div class="w3-panel" style="display:flex;">{{ mMsg.text }}</div>
                <footer class="w3-left" style="padding-left: 10px;">
                    Comment by {{ mNickname }} on {{ mMsgTime }} <i class="fas fa-comments" style="color: Gray;"></i>
                </footer>
                <br>
            </div>
            {{/ comments  }}
        </div>
        <footer class="w3-container w3-green">
            <p class="w3-right">Published by: {{ authorNickname }} on {{ publishTs }}</p>
        </footer>
    </div>
</div>

